/*
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2005 satoshi akabane(akabane@logical-paradox.org)
 * $Id: StubSearchEngine.java,v 1.1 2005/05/31 14:38:20 rampil Exp $
 */
package org.logical_paradox.koike.tools.ri;

import java.util.List;
import java.util.Properties;

import org.logical_paradox.koike.core.KoikeConfig;
import org.logical_paradox.koike.core.KoikeConstant;
import org.logical_paradox.koike.core.search.Element;
import org.logical_paradox.koike.core.search.KoikeIndexResultSet;
import org.logical_paradox.koike.core.search.SearchException;
import org.logical_paradox.koike.rss.search.RSSSearchEngine;
import org.logical_paradox.koike.tools.isys.StubIndexAccessor;

/**
 * eXgp̃X^u
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.1 $
 */
public class StubSearchEngine extends RSSSearchEngine {
	/**
	 * RXgN^
	 * @throws Exception
	 */
	public StubSearchEngine() throws Exception {
		super();
	}
	/**
	 * executeQuery()publicŌJ邽߂̃bp[\bh
	 */
	public KoikeIndexResultSet executeQuery(String keyword) throws SearchException {
		return super.executeQuery(keyword);
	}
	/**
	 * ̃T[`GW(X^u)̏
	 * SearchEngine#init()I[o[Ch邽
	 */
	protected void init() throws Exception {
		Properties p = new Properties();
		// ۃC^[tF[Xt@Ng
		p.setProperty(KoikeConstant.KEY_INTERFACE_FACTORY, "org.logical_paradox.koike.tools.isys.StubConcreteInterfaceFactory");
		// n-gram
		p.setProperty(KoikeConstant.KEY_N_GRAM_TERM_LENGTH, "2");
		setConfig(new KoikeConfig(p));

		// CfbNXANZT(CfbNXt@C̃[h)
		StubIndexAccessor stubixr = (StubIndexAccessor)getIndexAccessor();
		stubixr.load();
	}

	/**
	 * vf₢킹Čʂ擾
	 */
	public KoikeIndexResultSet retrieve(List searchWords, Element element) throws SearchException {
		return super.retrieve(searchWords, element);
	}
}
